Bug 70506 - rhnproc.pl not running
rhnproc.pl not running
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 17:18 EDT by Matt Jamison
Modified: 2007-07-31 15:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-09 11:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-08-01 17:18:56 EDT
Description of Problem: rhnproc.pl needs to be started near the end of the
installer, to catch errata updates when satellite-sync runs. 

Version-Release number of selected component (if applicable): see bug 63780
Comment 1 Adrian Likins 2002-08-02 14:13:44 EDT
the what? 

where is it, and how do I start it and
when (specifically...) should I start it?
Comment 2 Josef Komenda 2002-08-05 16:32:41 EDT
This now generates a traceback:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 738, in onSslCertInfoPageNext
    except satInstallErrors.restartRhnprocError:
AttributeError: restartRhnprocError

#service rhnproc status 
rhnproc.pl is stopped

It starts ok manually.
Comment 3 Adrian Likins 2002-08-08 15:05:52 EDT
fixed in cvs, 0.99.13
Comment 4 Josef Komenda 2002-08-08 18:15:42 EDT
Throws new and imporved traceback: 

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 732, in onSslCertInfoPageNext
    satInstall.restartRhnproc()
  File "/mnt/cdrom//usr/share/rhn/satinstall/satInstall.py", line 70, in
restartRhnproc
    stdout = os.open("/etc/init.d/rhnproc restart", "r")
TypeError: illegal argument type for built-in operation

Comment 5 Josef Komenda 2002-08-12 18:01:05 EDT
Fixed in latest. Closing.

Note You need to log in before you can comment on or make changes to this bug.